Skip to main content
POST
/
v1
/
interact
cURL
curl -X POST https://api.scrapio.dev/v1/interact \
  -H "Authorization: Bearer $SCRAPIO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"url":"https://example.com","actions":[{"type":"click","selector":"a"}],"output":["markdown"]}'
{
  "id": "<string>",
  "request_id": "<string>",
  "kind": "interact",
  "mode": "inline",
  "steps": [
    {
      "step_id": "<string>",
      "type": "<string>",
      "started_at": "<string>",
      "completed_at": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>"
      }
    }
  ],
  "result": {
    "outputs": {},
    "final_url": "<string>",
    "session": {
      "id": "<string>",
      "updated": true
    }
  },
  "diagnostics": {
    "step_errors": [
      {
        "step_id": "<string>",
        "code": "<string>",
        "message": "<string>"
      }
    ],
    "output_failures": [
      {
        "output": "<string>",
        "code": "<string>",
        "message": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required
actions
object[]
required
Minimum array length: 1
device
enum<string>
Available options:
desktop,
mobile,
tablet
session
object
output
enum<string>[]
Minimum array length: 1
Available options:
html,
markdown,
json,
screenshot
extract
object
timeout_ms
integer
Required range: x <= 300000

Response

Interaction completed; final page outputs and step results are returned.

id
string
required
request_id
string
required
kind
enum<string>
required
Available options:
interact
mode
enum<string>
required
Available options:
inline
status
enum<string>
required
Available options:
completed,
partial
steps
object[]
required
result
object
required
diagnostics
object
required